require "#{File.dirname(__FILE__)}/bleulib"

if ARGV.size < 2
	puts "Usage: ruby #{__FILE__} [option] [Translation Result] [Reference...]"
	puts "option: -s"
	exit(1)
end

silent = nil
if ARGV[0] == "-s"
	silent = true
	ARGV.shift
end

target = ARGV.shift
ref = ARGV

def openfile(fname)
  ret = []
  open(fname){|f|
    while f.gets
        chomp!
        ret << $_
    end
  }
  ret
end

ts = openfile(target)
rs = ref.map{|fname| openfile(fname)}

if silent
	puts BLEU.new(ts, rs).calc_BLEU * 100
else
	print "BLEU Score(%):", BLEU.new(ts, rs).calc_BLEU * 100, "\n"
end

